Package uk.ac.starlink.topcat

## Class TopcatSiapTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.RegistryServiceTableLoadDialog
    - - uk.ac.starlink.vo.DalTableLoadDialog
      - - uk.ac.starlink.vo.SkyDalTableLoadDialog
        - - uk.ac.starlink.vo.SiapTableLoadDialog
          - - uk.ac.starlink.topcat.TopcatSiapTableLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`, `uk.ac.starlink.vo.DalLoader`

      public class TopcatSiapTableLoadDialog
      extends uk.ac.starlink.vo.SiapTableLoadDialog

  SiapTableLoadDialog subclass customised for use with TOPCAT.
  Since:
    16 Aug 2010
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatSiapTableLoadDialog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptResourceIdList​(java.lang.String[] ivoids, java.lang.String msg)` |
    `boolean` | `acceptSkyPosition​(double raDegrees, double decDegrees)` |
    `java.awt.Component` | `createQueryComponent()` |

    - ### Methods inherited from class uk.ac.starlink.vo.SiapTableLoadDialog

      `createTableLoader`

    - ### Methods inherited from class uk.ac.starlink.vo.SkyDalTableLoadDialog

      `getQuerySummary, getSkyEntry`

    - ### Methods inherited from class uk.ac.starlink.vo.DalTableLoadDialog

      `checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlBox, getServiceUrlField, isReady, setServiceUrl`

    - ### Methods inherited from class uk.ac.starlink.vo.RegistryServiceTableLoadDialog

      `getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.vo.DalLoader

      `getMenus, getRegistryPanel, setMenus`

- - ### Constructor Detail

    - #### TopcatSiapTableLoadDialog

          public TopcatSiapTableLoadDialog()

  - ### Method Detail

    - #### createQueryComponent

          public java.awt.Component createQueryComponent()

      Overrides:
        `createQueryComponent` in class `uk.ac.starlink.vo.SiapTableLoadDialog`

    - #### acceptResourceIdList

          public boolean acceptResourceIdList​(java.lang.String[] ivoids,
                                              java.lang.String msg)

      Specified by:
        `acceptResourceIdList` in interface `uk.ac.starlink.vo.DalLoader`
      Overrides:
        `acceptResourceIdList` in class `uk.ac.starlink.vo.RegistryServiceTableLoadDialog`

    - #### acceptSkyPosition

          public boolean acceptSkyPosition​(double raDegrees,
                                           double decDegrees)

      Overrides:
        `acceptSkyPosition` in class `uk.ac.starlink.vo.SkyDalTableLoadDialog`